summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlejandro Gallo <aamsgallo@gmail.com>2019-02-27 20:51:21 +0100
committerAlejandro Gallo <aamsgallo@gmail.com>2019-02-27 20:51:21 +0100
commit64263967567774c1d9662dea3bb9cf49372039a4 (patch)
tree5f622b458ec1226ada53baddac1efd8ffd3c1df0
parent1174b2c3876c433aae3dc407f4654c22ff2ef979 (diff)
Update versionv0.8.1
-rw-r--r--CHANGELOG.md6
-rw-r--r--doc/sphinx.mk4
-rw-r--r--papis/__init__.py2
-rwxr-xr-xtools/update-pypi.sh16
4 files changed, 22 insertions, 6 deletions
diff --git a/CHANGELOG.md b/CHANGELOG.md
index 472bdd5b..b3cf24b9 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -1,3 +1,9 @@
+VERSION v0.8.1
+==============
+
+- Change default colors for `header_formater`.
+- Update `prompt_toolkit` version to `2.0.5`.
+
VERSION v0.8
============
diff --git a/doc/sphinx.mk b/doc/sphinx.mk
index 6b3f4e38..c5242930 100644
--- a/doc/sphinx.mk
+++ b/doc/sphinx.mk
@@ -1,9 +1,11 @@
# Makefile for Sphinx documentation
#
+ENV ?= env
+
# You can set these variables from the command line.
SPHINXOPTS =
-SPHINXBUILD = ../env/bin/sphinx-build
+SPHINXBUILD = ../$(ENV)/bin/sphinx-build
PAPER =
BUILDDIR = build
diff --git a/papis/__init__.py b/papis/__init__.py
index cace8a1f..f6d6258a 100644
--- a/papis/__init__.py
+++ b/papis/__init__.py
@@ -1,6 +1,6 @@
# Information
__license__ = 'GPLv3'
-__version__ = '0.8'
+__version__ = '0.8.1'
__author__ = __maintainer__ = 'Alejandro Gallo'
__email__ = 'aamsgallo@gmail.com'
diff --git a/tools/update-pypi.sh b/tools/update-pypi.sh
index 0875c885..5aa1f672 100755
--- a/tools/update-pypi.sh
+++ b/tools/update-pypi.sh
@@ -1,19 +1,27 @@
#! /usr/bin/env bash
+set -ex
DIST_DIR=dist
+
+rm -rf distenv
+virtualenv distenv
+source ./distenv/bin/activate
+pip install .
+pip install .[develop]
+
echo "Updating man pages"
-make -C doc man ENV=${ENV}
-#make bash-autocomplete ENV=${ENV}
+rm -rf doc/build/
+make doc-man ENV=distenv
rm -rf ${DIST_DIR}
+rm -rf doc/build/man/_static/
python3 setup.py sdist
+pip install twine
read -p "Do you want to push? (y/N)" -n 1 -r
echo
if [[ $REPLY =~ ^[Yy]$ ]]; then
- #echo "Uploading to test server"
- #twine upload -r test ${DIST_DIR}/*.tar.gz
twine upload ${DIST_DIR}/*.tar.gz
fi
REPLY= # unset REPLY after using it